Subject: [Class of 2014] Order Track Jackets In Person Today!

From: 2014 Council <[email-masked]>
Date: Wed, 19 Sep 2012 10:44:52 -0400

Hey 14's,

Just a reminder that we'll be taking in person orders for track jackets
today in lobby 10.  Come by between 12-1 and 3-4 to try on some sample
sizes and maybe even place an order!  We'll also be there tomorrow and next
Friday if you don't make it today.  And as always, you can order online
until *Saturday the 29th at 11:59PM* at classof2014.mit.edu/jackets!

See you around,

-Your 2014 Class Council